Subject: Re: [PATCH v7 09/11] cpuidle/powernv: cleanup powernv_add_idle_states

From: Michael Neuling <[email-masked]>
Date: Fri, 08 Jul 2016 12:42:35 +1000

>  		/*
> @@ -230,7 +238,7 @@ static int powernv_add_idle_states(void)
>  			strcpy(powernv_states[nr_idle_states].desc, "FastSleep");
>  			powernv_states[nr_idle_states].flags = CPUIDLE_FLAG_TIMER_STOP;
>  			powernv_states[nr_idle_states].target_residency = 300000;
> -			powernv_states[nr_idle_states].enter = &fastsleep_loop;
> +			powernv_states[nr_idle_states].enter = fastsleep_loop;

You can change this code too with the same thing.

static struct cpuidle_state powernv_states[CPUIDLE_STATE_MAX] = {
	{ /* Snooze */
		.name = "snooze",
		.desc = "snooze",
		.exit_latency = 0,
		.target_residency = 0,
		.enter = &snooze_loop },
};

Mikey